export default _sfc_main;
declare const _sfc_main: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    config: {
        type: ArrayConstructor;
        default(): any[];
    };
}>, {
    theme: string;
    modalType: import("vue").Ref<string, string>;
    visible: import("vue").Ref<boolean, boolean>;
    selectedIndex: import("vue").Ref<number, number>;
    addItem: () => void;
    name: import("vue").Ref<string, string>;
    handleOk: () => void;
    editItem: () => void;
    deleteItem: () => void;
    fontColor: import("vue").ComputedRef<"" | "#b2c3dd">;
    getContainer: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    config: {
        type: ArrayConstructor;
        default(): any[];
    };
}>> & Readonly<{}>, {
    config: unknown[];
}, {}, {
    PlusCircleOutlined: import("@ant-design/icons-vue/lib/icons/PlusCircleOutlined").PlusCircleOutlinedIconType;
    FormOutlined: import("@ant-design/icons-vue/lib/icons/FormOutlined").FormOutlinedIconType;
    MinusCircleOutlined: import("@ant-design/icons-vue/lib/icons/MinusCircleOutlined").MinusCircleOutlinedIconType;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
